# coding: utf-8
"""
Copyright (c) 2018 Aspose Pty Ltd. All Rights Reserved.

Licensed under the MIT (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

      https://github.com/aspose-omr-cloud/aspose-omr-cloud-python/blob/master/LICENSE

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.



    Aspose.OMR for Cloud API Reference

    Aspose.OMR for Cloud helps performing optical mark recognition in the cloud

    OpenAPI spec version: 1.1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""
from pprint import pformat
from six import iteritems
import re


class RecognitionStatistics(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """


    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'task_messages': 'list[str]',
        'task_result': 'str',
        'run_seconds': 'float'
    }

    attribute_map = {
        'name': 'Name',
        'task_messages': 'TaskMessages',
        'task_result': 'TaskResult',
        'run_seconds': 'RunSeconds'
    }

    def __init__(self, name=None, task_messages=None, task_result=None, run_seconds=None):
        """
        RecognitionStatistics - a model defined in Swagger
        """

        self._name = None
        self._task_messages = None
        self._task_result = None
        self._run_seconds = None
        self.discriminator = None

        if name is not None:
          self.name = name
        if task_messages is not None:
          self.task_messages = task_messages
        if task_result is not None:
          self.task_result = task_result
        self.run_seconds = run_seconds

    @property
    def name(self):
        """
        Gets the name of this RecognitionStatistics.
        Gets or sets Name

        :return: The name of this RecognitionStatistics.
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """
        Sets the name of this RecognitionStatistics.
        Gets or sets Name

        :param name: The name of this RecognitionStatistics.
        :type: str
        """

        self._name = name

    @property
    def task_messages(self):
        """
        Gets the task_messages of this RecognitionStatistics.
        Warnings and other messages regarding task, etc.

        :return: The task_messages of this RecognitionStatistics.
        :rtype: list[str]
        """
        return self._task_messages

    @task_messages.setter
    def task_messages(self, task_messages):
        """
        Sets the task_messages of this RecognitionStatistics.
        Warnings and other messages regarding task, etc.

        :param task_messages: The task_messages of this RecognitionStatistics.
        :type: list[str]
        """

        self._task_messages = task_messages

    @property
    def task_result(self):
        """
        Gets the task_result of this RecognitionStatistics.
        Indicates if each particular task passed or failed,

        :return: The task_result of this RecognitionStatistics.
        :rtype: str
        """
        return self._task_result

    @task_result.setter
    def task_result(self, task_result):
        """
        Sets the task_result of this RecognitionStatistics.
        Indicates if each particular task passed or failed,

        :param task_result: The task_result of this RecognitionStatistics.
        :type: str
        """

        self._task_result = task_result

    @property
    def run_seconds(self):
        """
        Gets the run_seconds of this RecognitionStatistics.
        Gets or sets RunSeconds

        :return: The run_seconds of this RecognitionStatistics.
        :rtype: float
        """
        return self._run_seconds

    @run_seconds.setter
    def run_seconds(self, run_seconds):
        """
        Sets the run_seconds of this RecognitionStatistics.
        Gets or sets RunSeconds

        :param run_seconds: The run_seconds of this RecognitionStatistics.
        :type: float
        """
        if run_seconds is None:
            raise ValueError("Invalid value for `run_seconds`, must not be `None`")

        self._run_seconds = run_seconds

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, RecognitionStatistics):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
